<?php
/*
Plugin Name: Multi-level Navigation Plugin
Plugin URI: http://pixopoint.com/multi-level-navigation/
Description: A WordPress plugin which adds a multi-level Suckerfish dropdown/flyout/slider menu to your WordPress blog. Visit the <a href="http://pixopoint.com/multi-level-navigation/">WP Multi-level Navigation Plugin page</a> for more information about the plugin, or our navigation <a href="http://pixopoint.com/forum/index.php?board=4.0">support board</a> for help with adding the menu to your theme.
Author: PixoPoint Web Development / Ryan Hellyer
Version: 1.3 Beta
Author URI: http://pixopoint.com/

Copyright 2008 PixoPoint Web Development

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// THIS NEEDS ADDED TO ALLOW FOR COMPATIBILITY WITH OTHER PLUGINS
//add_action('init', 'suckerfishjquery');
//function suckerfishjquery() {wp_enqueue_script('jquery');}

add_action('admin_head', 'suckerfish_adminhead');


function suckerfish_adminhead() {
echo '
<style type="text/css">
#options h3 { margin-bottom: -10px; }
#options h2 { margin-top: 30px; }
#options label { width: 200px; float: left; margin-right: 25px; font-weight: bold; }
#options input { float: left; }
#options p { clear: both; }
.menuitems {float:left;width:300px;height:70px}
.includeexclude {float:left;width:500px;height:70px}
</style>

<script type="text/javascript" src="'.get_bloginfo('wpurl').'/wp-content/plugins/multi-level-navigation-plugin/animatedcollapse.js"></script>

<link rel="stylesheet" href="'.get_bloginfo('wpurl').'/wp-content/plugins/multi-level-navigation-plugin/example.css" type="text/css" media="screen">
<script type="text/javascript">

/* Optional: Temporarily hide the "tabber" class so it does not "flash"
   on the page as plain HTML. After tabber runs, the class is changed
   to "tabberlive" and it will appear. */

document.write(\'<style type="text/css">.tabber{display:none;}<\/style>\');

/*==================================================
  Set the tabber options (must do this before including tabber.js)
  ==================================================*/
var tabberOptions = {

  \'cookie\':"tabber", /* Name to use for the cookie */

  \'onLoad\': function(argsObj)
  {
    var t = argsObj.tabber;
    var i;

    /* Optional: Add the id of the tabber to the cookie name to allow
       for multiple tabber interfaces on the site.  If you have
       multiple tabber interfaces (even on different pages) I suggest
       setting a unique id on each one, to avoid having the cookie set
       the wrong tab.
    */
    if (t.id) {
      t.cookie = t.id + t.cookie;
    }

    /* If a cookie was previously set, restore the active tab */
    i = parseInt(getCookie(t.cookie));
    if (isNaN(i)) { return; }
    t.tabShow(i);
//    alert(\'getCookie(\' + t.cookie + \') = \' + i);
  },

  \'onClick\':function(argsObj)
  {
    var c = argsObj.tabber.cookie;
    var i = argsObj.index;
//    alert(\'setCookie(\' + c + \',\' + i + \')\');
    setCookie(c, i);
  }
};

/*==================================================
  Cookie functions
  ==================================================*/
function setCookie(name, value, expires, path, domain, secure) {
    document.cookie= name + "=" + escape(value) +
        ((expires) ? "; expires=" + expires.toGMTString() : "") +
        ((path) ? "; path=" + path : "") +
        ((domain) ? "; domain=" + domain : "") +
        ((secure) ? "; secure" : "");
}

function getCookie(name) {
    var dc = document.cookie;
    var prefix = name + "=";
    var begin = dc.indexOf("; " + prefix);
    if (begin == -1) {
        begin = dc.indexOf(prefix);
        if (begin != 0) return null;
    } else {
        begin += 2;
    }
    var end = document.cookie.indexOf(";", begin);
    if (end == -1) {
        end = dc.length;
    }
    return unescape(dc.substring(begin + prefix.length, end));
}
function deleteCookie(name, path, domain) {
    if (getCookie(name)) {
        document.cookie = name + "=" +
            ((path) ? "; path=" + path : "") +
            ((domain) ? "; domain=" + domain : "") +
            "; expires=Thu, 01-Jan-70 00:00:01 GMT";
    }
}

</script>

<!-- Include the tabber code -->
<script type="text/javascript" src="'.get_bloginfo('wpurl').'/wp-content/plugins/multi-level-navigation-plugin/tabber-minimized.js"></script>
';
}

add_action('wp_head', 'suckerfishhead');

// adds the various menu item options into an array
$suckerfish_menuitem = array(get_option('suckerfish_menuitem1'),get_option('suckerfish_menuitem2'),get_option('suckerfish_menuitem3'),get_option('suckerfish_menuitem4'),get_option('suckerfish_menuitem5'),get_option('suckerfish_menuitem6'),get_option('suckerfish_menuitem7'),get_option('suckerfish_menuitem8'),get_option('suckerfish_menuitem9'),get_option('suckerfish_menuitem10'));

function suckerfishhead() {
	$javascript_location = '<script type="text/javascript" src="'.get_bloginfo('wpurl').'/wp-content/plugins/multi-level-navigation-plugin/';

	echo '
	<!-- Multi-level Navigation Plugin v1.2.5 Beta by PixoPoint Web Development ... http://pixopoint.com/multi-level-navigation/ -->
';

	if (get_option('suckerfish_keyboard') == 'on') {echo $javascript_location . 'suckerfish_keyboard.js"></script>';}

	if (get_option('suckerfish_disablecss') != 'on') {
		if (get_option('suckerfish_inlinecss') != 'on') {echo '
	<link rel="stylesheet" type="text/css" href="'.get_bloginfo('wpurl').'/wp-content/plugins/multi-level-navigation-plugin/style.php" />
';
		}
	}

	if (get_option('suckerfish_superfish') == 'on') {
		echo $javascript_location . 'jquery.js"></script>';
		echo $javascript_location.'jquery_suckerfish_'.get_option('suckerfish_superfish_speed').'.js"></script>
';
	;}

	if (get_option('suckerfish_superfish') != 'on') {echo '
	<!--[if lte IE 6]>' . $javascript_location. 'suckerfish_ie.js"></script><![endif]-->
'; }

	if (get_option('suckerfish_inlinecss') == 'on') {echo '
	<style type="text/css">
		' . get_option('suckerfish_css') . '
	</style>

'; }

}

	$suckerfish_css = get_option('suckerfish_css');

	function pages() {wp_list_pages('title_li=&'.get_option('suckerfish_includeexcludepages').'='.get_option('suckerfish_excludepages'));}
	function pagesdropdown() {if (is_page()) {$suckerfish_class=' class="current_page_parent"';} echo '<li'.$suckerfish_class.'><a href="">' . get_option('suckerfish_pagestitle') . '</a><ul>' , wp_list_pages('title_li=&'.get_option('suckerfish_includeexcludepages').'='. get_option('suckerfish_excludepages')) , '</ul></li>';}
	function category() {wp_list_categories('title_li=&exclude='. get_option('suckerfish_excludecategories'));}
	function categoriesdropdown() {if (is_category()) {$suckerfish_class=' class="current_page_parent"';} echo '<li'.$suckerfish_class.'><a href="">' . get_option('suckerfish_categoriestitle') . '</a><ul>' , wp_list_categories('title_li=&exclude='. get_option('suckerfish_excludecategories')) , '</ul></li>';}
	function home() {if (is_home()) {$suckerfish_class=' class="current_page_item"';} echo '<li'.$suckerfish_class.'><a href="' , bloginfo('url') , '/">' . get_option('suckerfish_hometitle') . '</a></li>';}
	function blogroll() {wp_list_bookmarks('title_li=&categorize=0');}
	function blogrolldropdown() {echo '<li><a href="">' . get_option('suckerfish_blogrolltitle') . '</a> <ul>' , wp_list_bookmarks('title_li=&categorize=0') , '</ul></li>';}
	function blogrollcategories() {wp_list_bookmarks('title_li=&title_before=<a href="">&title_after=</a>&categorize=1&before=<li>&after=</li>&show_images=0&show_description=0&orderby=url');}
	function blogrollcategoriesdropdown() {echo '<li><a href="">' . get_option('suckerfish_blogrolltitle') . '</a> <ul>' , wp_list_bookmarks('title_li=&title_before=<a href="">&title_after=</a>&categorize=1&before=<li>&after=</li>&show_images=0&show_description=0&orderby=url') , '</ul></li>';}
	function archivesmonths() {wp_get_archives('type=monthly');}
	function archivesyears() {wp_get_archives('type=yearly');}
	function archivesmonthsdropdown() {if (is_month()) {$suckerfish_class=' class="current_page_parent"';}echo '<li'.$suckerfish_class.'><a href="">' . get_option('suckerfish_archivestitle') . '</a><ul>' , wp_get_archives('type=monthly') , '</ul></li>';}
	function archivesyearsdropdown() {if (is_year()) {$suckerfish_class=' class="current_page_parent"';}echo '<li'.$suckerfish_class.'><a href="">' . get_option('suckerfish_archivestitle') . '</a><ul>' , wp_get_archives('type=yearly') , '</ul></li>';}
	function recentcomments() {echo '<li><a href="">' . get_option('suckerfish_recentcommentstitle') . '</a>'; global $wpdb; $sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type,comment_author_url, SUBSTRING(comment_content,1,30) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT 10"; $comments = $wpdb->get_results($sql); $output = $pre_HTML; $output .= "\n<ul>"; foreach ($comments as $comment) {$output .= "\n<li><a href=\"" . get_permalink($comment->ID) . "#comment-" . $comment->comment_ID . "\" title=\"on " . $comment->post_title . "\">".strip_tags($comment->comment_author) .":" . " " . strip_tags($comment->com_excerpt) ."</a></li>"; } $output .= "\n</ul>"; $output .= $post_HTML; echo $output; echo '</li>';}
	function custom() {echo get_option('suckerfish_custommenu');}
	function custom2() {echo get_option('suckerfish_custommenu2');}


function suckerfish() {
	global $suckerfish_menuitem;
	echo '<!-- Multi-level Navigational Plugin by PixoPoint Web Development ... http://pixopoint.com/multi-level-navigation/ -->
	<ul id="suckerfishnav">';

	foreach($suckerfish_menuitem as $key=> $menuitem) {
		switch ($menuitem){
			case "Pages":pages();break;
			case "Pages (single dropdown)":pagesdropdown();break;
			case "Categories":category();break;
			case "Categories (single dropdown)":categoriesdropdown();break;
			case "Home":home();break;
			case "Links - no categories":blogroll();break;
			case "Links - no categories (single dropdown)":blogrolldropdown();break;
			case "Links - with categories":blogrollcategories();break;
			case "Links - with categories (single dropdown)":blogrollcategoriesdropdown();break;
			case "Archives - months":archivesmonths();break;
			case "Archives - years":archivesyears();break;
			case "Archives - months (single dropdown)":archivesmonthsdropdown();break;
			case "Archives - years (single dropdown)":archivesyearsdropdown();break;
			case "Recent Comments (single dropdown)":recentcomments();break;
			case "Custom 1":custom();break;
			case "Custom 2":custom2();break;
			}
	}
	echo '</ul>';
}


// OLD FUNCTIONS FOR PREVIOUS VERSIONS OF THE PLUGIN
function suckerfish1() {echo '<ul id="suckerfishnav">'.wp_list_pages('title_li=').'</ul>';}
function suckerfish2() {echo '<ul id="suckerfishnav"><li><a href="'.bloginfo('url').'/">Home</a></li>'.wp_list_pages('title_li=').'</ul>';}
function suckerfish3() {echo '<ul id="suckerfishnav"><li><a href="#">Pages</a><ul>'/wp_list_pages('title_li=') , '</ul></li><li><a href="#">Archives</a><ul>'.wp_get_archives().'</ul></li><li><a href="#">Categories</a><ul>'.wp_list_categories('title_li=').'</ul></li><li><a href="#">Links</a> <ul>'.wp_list_bookmarks('title_li=&categorize=0').'</ul></li></ul>';}
function suckerfish4() {echo '<ul id="suckerfishnav">'.wp_list_pages('title_li=').'<li><a href="#">Archives</a><ul>'.wp_get_archives().'</ul></li><li><a href="#">Categories</a><ul>'.wp_list_categories('title_li=').'</ul></li></ul>';}
function suckerfish5() {echo '<ul id="suckerfishnav"><li><a href="'.bloginfo('url').'/">Home</a></li>'.wp_list_pages('title_li=').'<li><a href="#">Archives</a><ul>'.wp_get_archives().'</ul></li><li><a href="#">Categories</a><ul>'.wp_list_categories('title_li=').'</ul></li></ul>';}


// adds options menu
add_action('admin_menu', 'show_suckerfish_options');

function show_suckerfish_options() {
// Add a new submenu under Options:
add_options_page('Multi-level Navigation Plugin Options', 'Multi-level Navigation', 8, 'suckerfishoptions', 'suckerfish_options');

add_option('suckerfish_css', '#suckerfishnav {background:#1F3E9F url("../multi-level-navigation-plugin/images/suckerfish_blue.png") repeat-x;font-size:18px;font-family:verdana,sans-serif;font-weight:bold;	width:100%;}#suckerfishnav, #suckerfishnav ul {float:left;list-style:none;line-height:40px;padding:0;border:1px solid #aaa;margin:0;	width:100%;}#suckerfishnav a {display:block;color:#dddddd;text-decoration:none;padding:0px 10px;}#suckerfishnav li {float:left;padding:0;}#suckerfishnav ul {position:absolute;left:-999em;height:auto;	width:151px;font-weight:normal;margin:0;line-height:1;	border:0;border-top:1px solid #666666;	}#suckerfishnav li li {	width:149px;border-bottom:1px solid #666666;border-left:1px solid #666666;border-right:1px solid #666666;font-weight:bold;font-family:verdana,sans-serif;}#suckerfishnav li li a {padding:4px 10px;	width:130px;font-size:12px;color:#dddddd;}#suckerfishnav li ul ul {margin:-21px 0 0 150px;}#suckerfishnav li li:hover {background:#1F3E9F;}#suckerfishnav li ul li:hover a, #suckerfishnav li ul li li:hover a, #suckerfishnav li ul li li li:hover a, #suckerfishnav li ul li li li:hover a  {color:#dddddd;}#suckerfishnav li:hover a, #suckerfishnav li.sfhover a {color:#dddddd;}#suckerfishnav li:hover li a, #suckerfishnav li li:hover li a, #suckerfishnav li li li:hover li a, #suckerfishnav li li li li:hover li a {color:#dddddd;}#suckerfishnav li:hover ul ul, #suckerfishnav li:hover ul ul ul, #suckerfishnav li:hover ul ul ul ul, #suckerfishnav li.sfhover ul ul, #suckerfishnav li.sfhover ul ul ul, #suckerfishnav li.sfhover ul ul ul ul  {left:-999em;}#suckerfishnav li:hover ul, #suckerfishnav li li:hover ul, #suckerfishnav li li li:hover ul, #suckerfishnav li li li li:hover ul, #suckerfishnav li.sfhover ul, #suckerfishnav li li.sfhover ul, #suckerfishnav li li li.sfhover ul, #suckerfishnav li li li li.sfhover ul  {left:auto;background:#444444;}#suckerfishnav li:hover, #suckerfishnav li.sfhover {background:#5E7AD3;}');
add_option('suckerfish_superfish', '');
add_option('suckerfish_superfish_speed', 'normal');
add_option('suckerfish_superfish_time', '800');
add_option('suckerfish_superfish_timeout', '100');
add_option('suckerfish_menuitem1', 'Home');
add_option('suckerfish_menuitem2', 'Pages');
add_option('suckerfish_menuitem3', 'Categories (single dropdown)');
add_option('suckerfish_menuitem4', 'Archives - months (single dropdown)');
add_option('suckerfish_menuitem5', 'Links (single dropdown)');
add_option('suckerfish_menuitem6', 'None');
add_option('suckerfish_menuitem7', 'None');
add_option('suckerfish_menuitem8', 'None');
add_option('suckerfish_menuitem9', 'None');
add_option('suckerfish_menuitem10', 'None');
add_option('suckerfish_hometitle', 'Home');
add_option('suckerfish_pagestitle', 'Pages');
add_option('suckerfish_categoriestitle', 'Categories');
add_option('suckerfish_archivestitle', 'Archives');
add_option('suckerfish_blogrolltitle', 'Links');
add_option('suckerfish_recentcommentstitle', 'Recent Comments');
add_option('suckerfish_keyboard', '');
add_option('suckerfish_disablecss', '');
add_option('suckerfish_inlinecss', '');
}

function suckerfish_options() {
	global $suckerfish_menuitem;
	echo '
<div class="wrap">
	<form method="post" action="options.php" id="options">'.wp_nonce_field('update-options').'<h2>Multi-level Navigation Plugin</h2>
		<div style="clear:both;padding-top:5px;"></div>

<div class="tabber" id="mytabber1">

	<div class="tabbertab">
	  <h2>Home</h2>
	  <p>
	  	Welcome to the PixoPoint Multi-level Navigation Plugin for WordPress
	  </p>
		<p>
			This plugin creates a dropdown, flyout or slider menu for your WordPress blog based on the
			<a href="http://www.htmldog.com/articles/suckerfish/ target="_blank">Son of Suckerfish technique</a>.
			If you have any comments, questions or suggestions about this plugin, please visit the
			<a href="http://pixopoint.com/forum/index.php?board=4.0">PixoPoint multi-level navigation forum</a>.
		</p>
		<p>
			To style your menu, please visit the <a href="http://pixopoint.com/suckerfish_css/">Multi-level Navigation CSS Generator</a>
			page to obtain your CSS and enter it below.
		</p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Enter your CSS here</h2>
		<p>
			<textarea name="suckerfish_css" value="" cols="100%" rows="10" tabindex="4">'.get_option('suckerfish_css').'</textarea>
		</p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Menu contents</h2>
		<p>';


		function contents($name) {
			$options = array('None','Home','Pages','Pages (single dropdown)','Categories','Categories (single dropdown)','Archives - months','Archives - months (single dropdown)','Archives - years','Archives - years (single dropdown)','Links - no categories','Links - no categories (single dropdown)','Links - with categories','Links - with categories (single dropdown)','Recent Comments (single dropdown)','Custom 1','Custom 2');
			$ret = '<option>'.$name.'</option>';
			foreach($options as $option) {if($name != $option) {$ret .= '<option>'.$option.'</option>';}}
			return $ret;
		}

		foreach($suckerfish_menuitem as $key => $menuitem) {
			echo '
			<div class="menuitems">
			<label>Menu Item #'.($key+1).'</label>
			<select name="suckerfish_menuitem'.($key+1).'">
				'.contents($menuitem).'
			</select>
		</div>';
}
echo '</p>';?>

		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Titles</h2>
		<p>
			To change the text displayed in the top level menu items for Pages, Categories etc. change the following menu items.
		</p>
  	<div class="menuitems">
			<p>
				<label>Home</label>
				<input type="text" name="suckerfish_hometitle" value="<?php echo get_option('suckerfish_hometitle'); ?>" />
			</p>
		</div>
  	<div class="menuitems">
			<p>
				<label>Pages</label>
				<input type="text" name="suckerfish_pagestitle" value="<?php echo get_option('suckerfish_pagestitle'); ?>" />
			</p>
		</div>
  	<div class="menuitems">
			<p>
				<label>Categories</label>
				<input type="text" name="suckerfish_categoriestitle" value="<?php echo get_option('suckerfish_categoriestitle'); ?>" />
			</p>
		</div>
  	<div class="menuitems">
			<p>
				<label>Archives</label>
				<input type="text" name="suckerfish_archivestitle" value="<?php echo get_option('suckerfish_archivestitle'); ?>" />
			</p>
		</div>
  	<div class="menuitems">
			<p>
				<label>Links</label>
				<input type="text" name="suckerfish_blogrolltitle" value="<?php echo get_option('suckerfish_blogrolltitle'); ?>" />
			</p>
		</div>
  	<div class="menuitems">
			<p>
				<label>Recent Comments</label>
				<input type="text" name="suckerfish_recentcommentstitle" value="<?php echo get_option('suckerfish_recentcommentstitle'); ?>" />
			</p>
		</div>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
		<h2>Include/exclude items</h2>
  	<div class="includeexclude">
			<p>
				<label>Pages to include or exclude</label>
				<input type="text" name="suckerfish_excludepages" value="<?php echo get_option('suckerfish_excludepages'); ?>" />
			</p>
			<select name="suckerfish_includeexcludepages">
			<?php
				$suckerfish_includeexcludepages = get_option('suckerfish_includeexcludepages');
				switch ($suckerfish_includeexcludepages){
					case "include":echo '<option>include</option><option>exclude</option>';break;
					case "exclude":echo '<option>exclude</option><option>include</option>';break;
					case "":echo '<option>include</option><option>exclude</option>';break;
					}
			?>
			</select>
		</div>
  	<div class="includeexclude">
			<p>
				<label>Categories to include or exclude</label>
				<input type="text" name="suckerfish_excludecategories" value="<?php echo get_option('suckerfish_excludecategories'); ?>" />
			</p>
			<select name="suckerfish_includeexcludecategories">
			<?php
				$suckerfish_includeexcludecategories = get_option('suckerfish_includeexcludecategories');
				switch ($suckerfish_includeexcludecategories){
					case "include":echo '<option>include</option><option>Exclude</option>';break;
					case "Exclude":echo '<option>Exclude</option><option>include</option>';break;
					case "":echo '<option>include</option><option>Exclude</option>';break;
					}
			?>
			</select>
		</div>
			<p><small>Pages and categories can be included or excluded by specifying their ID numbers, seperated by commas, ie: <em>14, 5</em></small></p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Custom code</h2>
		<p>
			To use the "Custom" option available in the "Menu Contents" section above, add your code below.
		</p>
		<p>
			<strong>Note:</strong> The menu uses an unordered list to format the menu. You will need to
			know some HTML to use this option. The menu is already wrapped in UL tags.
		</p>
		<h4>Custom Code 1</h4>
		<p>
			<textarea name="suckerfish_custommenu" value="" cols="100%" rows="10" tabindex="4"><?php echo get_option('suckerfish_custommenu'); ?></textarea>
		</p>
		<h4>Custom Code 2</h4>
		<p>
			<textarea name="suckerfish_custommenu2" value="" cols="100%" rows="10" tabindex="4"><?php echo get_option('suckerfish_custommenu2'); ?></textarea>
		</p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Accessibility</h2>
		<p>
			This option enables users to access your menu via the tab key on their keyboard rather than the mouse.
			This works in all modern browsers, plus IE 6 and 7. Choosing this option will add ~3 kB to each page download.
		</p>
		<p>
			<label>Enable keyboard accessible menu?</label>
			<?php
				if (get_option('suckerfish_keyboard') == 'on') {echo '<input type="checkbox" name="suckerfish_keyboard" checked="yes" />';}
				else {echo '<input type="checkbox" name="suckerfish_keyboard" />';}
			?>
			<br /><br />
		</p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Animations</h2>
		<h3>Fade ins</h3>
		<p>
			This option enhances the behaviour of the dropdown by creating an animated fade-in effect. Each page download will be ~32 kB
			larger due to the large Javascript files required for it to work. The menu will still be accessible before the script
			has fully loaded.
		</p>
		<p>
			<label>Enable fade ins?</label>
			<?php
				if (get_option('suckerfish_superfish') == 'on') {echo '<input type="checkbox" name="suckerfish_superfish" checked="yes" />';}
				else {echo '<input type="checkbox" name="suckerfish_superfish" />';}
			?>
		</p>
		<p>&nbsp;</p>
		<p>
			<label>Speed</label>
			<select name="suckerfish_superfish_speed">
			<?php
				$suckerfish_superfish_speed = get_option('suckerfish_superfish_speed');
				switch ($suckerfish_superfish_speed){
					case "slow":echo '<option>slow</option><option>normal</option><option>fast</option>';break;
					case "normal":echo '<option>normal</option><option>slow</option><option>fast</option>';break;
					case "fast":echo '<option>fast</option><option>slow</option><option>normal</option>';break;
					case "":echo '<option>normal</option><option>slow</option><option>fast</option>';break;
					}
			?>
			</select>
		</p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Advanced</h2>
		<p>
			There is a known bug in this plugin which causes the CSS file (style.php) to not work on <strong>some</strong>
			web hosts. You can either choose to display the CSS in your HTML (easiest) or disable the
			plugin CSS file so that you can manually copy the CSS to your theme (usually the style.css file). If
			you find that you need to use this option to correct the bug in the style sheet, please leave a message in
			the PixoPoint multi-level navigation forums so we can take a look as we are actively working to fix this bug
			and need more examples of the problem in action (we can't replicate it).
		</p>
		<p>
			<label>Enable inline CSS</label>
			<?php
				if (get_option('suckerfish_inlinecss') == 'on') {echo '<input type="checkbox" name="suckerfish_inlinecss" checked="yes" />';}
				else {echo '<input type="checkbox" name="suckerfish_inlinecss" />';}
			?>
		</p>
		<p>
			<label>Disable Plugin CSS file</label>
			<?php
				if (get_option('suckerfish_disablecss') == 'on') {echo '<input type="checkbox" name="suckerfish_disablecss" checked="yes" />';}
				else {echo '<input type="checkbox" name="suckerfish_disablecss" />';}
			?>
		</p>
		<div style="clear:both"></div>
	</div>

	<div class="tabbertab">
	  <h2>Help</h2>
	  <h3>Installation</h3>
		<p>Add the following code wherever you want the dropdown to appear in your theme (usually header.php)</p>
		<p><code>&lt;?php if (function_exists('suckerfish')) {suckerfish();} ?&gt;</code></p>
		<p>
			Note, that the functions which were implemented in previous version of this plugin still work. But you can not
			modify them via this admin panel. To change the menu contents, you must change your suckerfish1(), suckerfish2(),
			suckerfish3(), suckerfish4() or suckerfish5() function in your theme to suckerfish().
		</p>
		<h2>Can't get the menu to work?</h2>
		<p>
			If you follow all of the instructions here, activate the plugin and find the menu is appearing on your site, but it
			looks all messed up, then the problem is probably caused by a clash between your themes CSS and plugins CSS. These problems
			can usually be remedied by removing the wrapper tags which surround the menu in your theme. For example, most themes will have
			some HTML such as &lt;div id="nav"&gt;&lt;?php wp_list_pages(); ?&gt;&lt;/div&gt; which contains the existing themes menu.
			By placing the suckerfish() function between those DIV tags, the menu will often interact with that DIV tag. The solution is to
			either remove the DIV tag or to alter it's CSS so that it doesn't interact with the menu.
		</p>
		<p>
			If you require further help with the plugin, please visit the <a href="http://pixopoint.com/multi-level-navigation/">Multi-level Navigation Plugin page</a> or
			the PixoPoint <a href="http://pixopoint.com/forum/index.php?board=4.0">multi-level navigation support board</a>. If you have
			insufficient time to fix any problems you may have or simply don't know much about coding, then consider signing up for our
			premium membership service which offers not only free techinical support and access to our latest betas but we will also install the plugin
			and set it up on your site if needed. We also do customisations of the plugin for some premium members, although we recommend contacting
			us via our <a href="http://pixopoint.com/contact/">contact form</a> for such requests as some customisations may require extra payment.
		</p>
	</div>
</div>


		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="suckerfish_css, suckerfish_superfish, suckerfish_superfish_speed, suckerfish_superfish_time, suckerfish_superfish_timeout, suckerfish_menuitem1, suckerfish_menuitem2, suckerfish_menuitem3, suckerfish_menuitem4, suckerfish_menuitem5, suckerfish_menuitem6, suckerfish_menuitem7, suckerfish_menuitem8, suckerfish_menuitem9, suckerfish_menuitem10, suckerfish_pagestitle, suckerfish_keyboard, suckerfish_excludepages, suckerfish_excludecategories, suckerfish_hometitle, suckerfish_pagestitle, suckerfish_categoriestitle, suckerfish_archivestitle, suckerfish_blogrolltitle, suckerfish_recentcommentstitle, suckerfish_disablecss, suckerfish_custommenu, suckerfish_custommenu2, suckerfish_inlinecss, suckerfish_includeexcludepages" />
		<div style="clear:both;padding-top:20px;"></div>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?>" /></p>
		<div style="clear:both;padding-top:20px;"></div>


	</form>
</div>
<?php } ?>
